package com.dong.demo013

import kotlinx.atomicfu.AtomicBoolean
import kotlinx.atomicfu.atomic

class LogControllerImpl : LogController {
    private val _isRunning = atomic(true)
    
    override val isRunning: Boolean
        get() = _isRunning.value
    
    override fun stop() {
        _isRunning.value = false
    }
}